﻿<form id="entityForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="User" />
    <label for="id" class="fw-bold">ID</label>
    <span id="id"></span>
    <br />
    <label for="firstname" class="fw-bold">Nombre</label>
    <input id="firstname" type="text" class="form-control custom-width-input" />
    <label for="lastname" class="fw-bold">Apellidos</label>
    <input id="lastname" type="text" class="form-control custom-width-input" />
    <label for="address" class="fw-bold">Dirección</label>
    <input id="address" typeof="text" class="form-control custom-width-input" />
    <label for="email" class="fw-bold">Correo Electrónico</label>
    <input id="email" class="form-control custom-width-input" type="text" />
    <label for="phonenumber" class="fw-bold">Teléfono</label>
    <input id="phonenumber" class="form-control custom-width-input" type="text" />
    <div class="mt-2">
        <button type="button" onclick="setData()" class="btn btn-primary ml-2">Guardar</button>
        <button type="button" onclick="cancelar()" class="btn btn-danger">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/edit.js"></script>
<script>
    function setData() {
        var id = document.getElementById("id").textContent
        var firstName = document.getElementById("firstname").value;
        var lastName = document.getElementById("lastname").value;
        var address = document.getElementById("address").value;
        var email = document.getElementById("email").value;
        var phoneNumber = document.getElementById("phonenumber").value;

        var jsonData = {
            id: id,
            firstName: firstName,
            lastName: lastName,
            address: address,
            phoneNumber: phoneNumber,
            email: email
        };
        debugger;
        guardar(jsonData);
    }

    function fillData(data) {
        debugger;
        document.getElementById("id").textContent = data.id;
        document.getElementById("firstname").value = data.firstName;
        document.getElementById("lastname").value = data.lastName;
        document.getElementById("address").value = data.address;
        document.getElementById("email").value = data.email;
        document.getElementById("phonenumber").value = data.phoneNumber;
    }

    cargarDatos();

</script>